%define pypi_name gbinder

Name:          python-gbinder
Version:       1.2.1
Release:       %mkrel 2
Summary:       Cython extension module for gbinder
License:       GPLv3
Group:         Development/Python
URL:           https://github.com/Kyle6012/gbinder
Source:        https://github.com/Kyle6012/gbinder/releases/download/v%{version}/gbinder-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(libglibutil)
BuildRequires:  pkgconfig(libgbinder)
BuildRequires:  python3dist(cython)

%description
%{summary}.


%package -n python3-gbinder
Summary:        Cython extension module for gbinder
Group:          Development/Python
%{?python_provide:%python_provide python3-gbinder}
Obsoletes:      python-gbinder <= 1.0.0
Provides:       python-gbinder = %{version}-%{release}

%description -n python3-gbinder
%{summary}.

%prep
%autosetup -n gbinder-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%ifarch %{ix86} %{arm32}
%global optflags %{optflags} -Wno-incompatible-pointer-types -Wno-int-conversion
%endif
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gbinder

%files -n python3-gbinder -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 1.2.1-2.mga10
+ Revision: 2157203
- rebuild for arm32

* Sun Mar 02 2025 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2157142
- new version: 1.2.1
+ wally <wally>
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.1.2-3.mga10
+ Revision: 2017483
- rebuild for python3.12

* Fri Nov 03 2023 eatdirt <eatdirt> 1.1.2-2.mga10
+ Revision: 2003857
- Add provides/obsoletes to python-gbinder

* Tue Oct 31 2023 eatdirt <eatdirt> 1.1.2-1.mga10
+ Revision: 2003159
- Update to version 1.1.2

* Sun Mar 27 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1829387
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.0.0-2.mga9
+ Revision: 1784500
- rebuild for python-3.10

* Sat Nov 06 2021 buchan <buchan> 1.0.0-1.mga9
+ Revision: 1754272
- imported package python-gbinder

